= Simple Inventory API
<you@your-company.com>
v1.0.0
:revnumber: 1.0.0
:openapi: 3.0.0
:authorcount: 1
:email: you@your-company.com

== Overview
This is a simple API

http://www.apache.org/licenses/LICENSE-2.0.html[Apache 2.0]

== Tags
admins::
Secured Admin-only calls
developers::
Operations available to regular developers

== Servers
=== __Server__: /

== Paths
=== __GET__ `/inventory` searches inventory
By passing in the appropriate options, you can search for
available inventory in the system

.Parameters
[%header,caption=,cols=".^2a,.^3a,.^10a,.^5a"]
|===
<.<|Type


<.<|Name


<.<|Description


<.<|Schema



<.<|**query**


<.<|**searchString** +
__optional__


<.<|pass an optional search string for looking up inventory


<.<|type: string



<.<|**query**


<.<|**limit** +
__optional__


<.<|maximum number of records to return


<.<|minimum: 0 +
type: integer +
maximum: 50 +
format: int32



<.<|**query**


<.<|**skip** +
__optional__


<.<|number of records to skip for pagination


<.<|minimum: 0 +
type: integer +
format: int32



|===
.Responses
[%header,caption=,cols=".^2a,.^14a,.^4a"]
|===
<.<|Code


<.<|Description


<.<|Links



<.<|200


<.<|search results matching criteria

.Content
application/json::
+

type: array


<.<|No Links



<.<|400


<.<|bad input parameter


<.<|No Links



|===

=== __POST__ `/inventory` adds an inventory item
Adds an item to the system

.Responses
[%header,caption=,cols=".^2a,.^14a,.^4a"]
|===
<.<|Code


<.<|Description


<.<|Links



<.<|201


<.<|item created


<.<|No Links



<.<|400


<.<|invalid input, object invalid


<.<|No Links



<.<|409


<.<|an existing item already exists


<.<|No Links



|===

[[_components]]
== Components
[[_components_schemas]]
=== Schemas
[[_components_schemas_inventoryitem]]
==== InventoryItem

type: object

.Properties
[%header,caption=,cols=".^4a,.^16a"]
|===
<.<|Name


<.<|Schema



<.<|id
__required__


<.<|type: string +
format: uuid



<.<|name
__required__


<.<|type: string



<.<|releaseDate
__required__


<.<|type: string +
format: date-time



<.<|manufacturer
__required__


<.<|<<_components_schemas_Manufacturer,Manufacturer>>



|===
[[_components_schemas_manufacturer]]
==== Manufacturer

type: object

.Properties
[%header,caption=,cols=".^4a,.^16a"]
|===
<.<|Name


<.<|Schema



<.<|name
__required__


<.<|type: string



<.<|homePage
__optional__


<.<|type: string +
format: url



<.<|phone
__optional__


<.<|type: string



|===

